Summary:	Advanced text editor with html features
Name:		kpimtextedit
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5designerplugin-devel
BuildRequires:	kf5emoticons-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5sonnet-devel
BuildRequires:	kf5syntaxhighlighting-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Advanced text editor with html features.

%files
%{_kde5_sysconfdir}/xdg/kpimtextedit.categories

#----------------------------------------------------------------------------

%package i18n
Summary:	Advanced text editor with html features library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
Advanced text editor with html features library translations.

%files i18n -f libkpimtextedit.lang

#----------------------------------------------------------------------------

%define kf5pimtextedit_major 5
%define libkf5pimtextedit %mklibname kf5pimtextedit %{kf5pimtextedit_major}

%package -n %{libkf5pimtextedit}
Summary:	Advanced text editor with html features shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5pimtextedit}
Advanced text editor with html features shared library.

%files -n %{libkf5pimtextedit}
%{_kde5_libdir}/libKF5PimTextEdit.so.%{kf5pimtextedit_major}*

#----------------------------------------------------------------------------

%package designer-plugin
Summary:	KF5PimTextEdit Qt Designer plugin
Group:		Development/KDE and Qt

%description designer-plugin
Qt Designer plugin for KF5PimTextEdit.

%files designer-plugin
%{_qt5_plugindir}/designer/kpimtexteditwidgets.so

#----------------------------------------------------------------------------

%define devkf5pimtextedit %mklibname kf5pimtextedit -d

%package -n %{devkf5pimtextedit}
Summary:	Development files for advanced text editor with html features module
Group:		Development/KDE and Qt
Requires:	%{libkf5pimtextedit} = %{EVRD}
Suggests:	%{name}-designer-plugin = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5pimtextedit-devel = %{version}

%description -n %{devkf5pimtextedit}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5pimtextedit}
%{_kde5_includedir}/KF5/KPIMTextEdit
%{_kde5_includedir}/KF5/kpimtextedit_version.h
%{_kde5_libdir}/cmake/KF5PimTextEdit
%{_kde5_libdir}/libKF5PimTextEdit.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang libkpimtextedit --with-kde
%kf5locales_fix libkpimtextedit.lang


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (eb2ce8b) New version 17.08.2


